Draft Fillet: Difference between revisions

From FreeCAD Documentation
No edit summary
(Button text.)
 
(34 intermediate revisions by 2 users not shown)
Line 1: Line 1:
{{Page_in_progress}}
<languages/>
<languages/>
<translate>
<translate>
Line 7: Line 6:
|[[Draft_Wire|Wire]]
|[[Draft_Wire|Wire]]
|[[Draft_Arc|Arc]]
|[[Draft_Arc|Arc]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Wire.svg
|IconL=Draft_Wire.svg
|IconR=Draft_Arc.svg
|IconR=Draft_Arc.svg
Line 17: Line 16:
|Name=Draft Fillet
|Name=Draft Fillet
|MenuLocation=Drafting → Fillet
|MenuLocation=Drafting → Fillet
|Workbenches=[[Draft_Module|Draft]]
|Workbenches=[[Draft_Workbench|Draft]], [[Arch_Workbench|Arch]]
|Shortcut={{KEY|F}} {{KEY|I}}
|Version=0.19
|Version=0.19
|SeeAlso=[[Draft_Line|Draft Line]], [[Draft_Wire|Draft Wire]]
|SeeAlso=[[Draft_Line|Draft Line]], [[Draft_Wire|Draft Wire]]
Line 25: Line 25:


<!--T:4-->
<!--T:4-->
The [[Image:Draft_Fillet.svg|24px]] [[Draft_Fillet|Draft Fillet]] command creates a fillet, a rounded corner, between two [[Draft_Line|Draft Lines]]. Alternatively, it can create a chamfer, a straight edge, between those two lines.
The [[Image:Draft_Fillet.svg|24px]] '''Draft Fillet''' command creates a fillet, a rounded corner, or a chamfer, a straight edge, between two [[Draft_Line|Draft Lines]].


</translate>
</translate>
Line 38: Line 38:
# Select two [[Draft_Line|Draft Lines]] that meet in a single point.
# Select two [[Draft_Line|Draft Lines]] that meet in a single point.
# There are several ways to invoke the command:
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Draft_Fillet.svg|16px]] [[Draft_Fillet|Draft Fillet]]}} button.
#* Press the {{Button|[[Image:Draft_Fillet.svg|16px]] [[Draft_Fillet|Fillet]]}} button.
#* Select the {{MenuCommand|Drafting → [[Image:Draft_Fillet.svg|16px]] Fillet}} option from the menu.
#* Select the {{MenuCommand|Drafting → [[Image:Draft_Fillet.svg|16px]] Fillet}} option from the menu.
#* Use the keyboard shortcut: {{KEY|F}} then {{KEY|I}}.
# Enter the {{MenuCommand|Fillet radius}}. If the {{MenuCommand|Create chamfer}} option is selected this will be the length of the chamfer. Note that the command will not succeed if the radius or the chamfer length is too large for the selected lines.
# Enter the {{MenuCommand|Fillet radius}}. If the {{MenuCommand|Create chamfer}} option is selected this will be the size of the chamfer (the length of the straight edge). Note that the command will not succeed if the radius or the chamfer size is too large for the selected lines.
# Optionally check the {{MenuCommand|Delete original objects}} option.
# Optionally check the {{MenuCommand|Delete original objects}} option.
# Optionally check the {{MenuCommand|Create chamfer}} option.
# Optionally check the {{MenuCommand|Create chamfer}} option.
Line 54: Line 55:


<!--T:8-->
<!--T:8-->
* A Draft Fillet cannot be edited nor is it linked to the lines that were used to create it.
* The resulting fillet object is not editable.
* Only single lines are supported at the moment; [[Draft_Wire|Draft Wires]], that is, lines with multiple points, may not produce the desired result.
* Only Draft Lines, that is [[Draft_Wire|Draft Wires]] with only two points, are supported at the moment.
* A [[Draft Wire|Draft Wire]] that has at least three points can be fillet or chamfered by changing its {{PropertyData|Fillet Radius}} or {{PropertyData|Chamfer Size}} respectively. Since [[Draft_Line|Draft Lines]], and [[Draft_Wire|Draft Wires]], can be joined with the [[Image:Draft_Wire.svg|16px]] [[Draft_Wire|Draft Wire]] command, the [[Image:Draft_Join.svg|16px]] [[Draft_Join|Draft Join]] command, or the [[Image:Draft_Upgrade.svg|16px]] [[Draft_Upgrade|Draft Upgrade]] command, this provides an alternative method for creating fillets and chamfers.
* A [[Draft Wire|Draft Wire]] that has at least three points can be filleted or chamfered by changing its {{PropertyData|Fillet Radius}} or {{PropertyData|Chamfer Size}} respectively. Since [[Draft_Line|Draft Lines]] and [[Draft_Wire|Draft Wires]], can be joined with the [[Draft_Wire|Draft Wire]] command, the [[Draft_Join|Draft Join]] command or the [[Draft_Upgrade|Draft Upgrade]] command, this provides an alternative method for creating fillets and chamfers.


==Properties== <!--T:15-->
==Properties== <!--T:15-->

<!--T:31-->
See also: [[Property_editor|Property editor]].

<!--T:32-->
A Draft Fillet object is derived from a [[Part_Part2DObject|Part Part2DObject]] and inherits all its properties. It also has the following additional properties:


===Data=== <!--T:17-->
===Data=== <!--T:17-->

<!--T:33-->
{{TitleProperty|Draft}}


<!--T:18-->
<!--T:18-->
* {{PropertyData|Start}}: (read-only) specifies the start point.
* {{PropertyData|End|VectorDistance}}: (read-only) specifies the end point of the fillet.
* {{PropertyData|End}}: (read-only) specifies the end point.
* {{PropertyData|Fillet Radius|Length}}: (read-only) radius with which the fillet was created.
* {{PropertyData|Length}}: (read-only) specifies the length of the entire segment.
* {{PropertyData|Length|Length}}: (read-only) specifies the total length of the fillet.
* {{PropertyData|Fillet Radius}}: (read-only) radius with which the fillet was created.
* {{PropertyData|Start|VectorDistance}}: (read-only) specifies the start point of the fillet.


===View=== <!--T:19-->
===View=== <!--T:19-->

<!--T:34-->
{{TitleProperty|Draft}}


<!--T:20-->
<!--T:20-->
* {{PropertyView|End Arrow}}: if it is {{TRUE}} it will display a symbol at the last point of the line, so it can be used as an annotation line.
* {{PropertyView|Arrow Size|Length}}: specifies the size of the symbol displayed at the end of the fillet.
* {{PropertyView|Arrow Size}}: specifies the size of the symbol displayed at the end of the line.
* {{PropertyView|Arrow Type|Enumeration}}: specifies the type of symbol displayed at the end of the fillet, which can be {{value|Dot}}, {{value|Circle}}, {{value|Arrow}}, {{value|Tick}} or {{value|Tick-2}}.
* {{PropertyView|Arrow Type}}: specifies the type of symbol displayed at the end of the line, which can be "Dot", "Circle", "Arrow", "Tick", or "Tick-2".
* {{PropertyView|End Arrow|Bool}}: specifies whether to show a symbol at the end of the fillet, so it can be used as an annotation line.
* {{PropertyView|Pattern|Enumeration}}: not used.
* {{PropertyView|Pattern Size|Float}}: not used.


==Scripting== <!--T:21-->
==Scripting== <!--T:21-->


<!--T:28-->
<!--T:28-->
See also: [https://www.freecadweb.org/api Autogenerated API documentation] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


<!--T:22-->
<!--T:22-->
Line 101: Line 116:
import FreeCAD as App
import FreeCAD as App
import Draft
import Draft

doc = App.newDocument()
doc = App.newDocument()


Line 109: Line 125:
line1 = Draft.make_line(p1, p2)
line1 = Draft.make_line(p1, p2)
line2 = Draft.make_line(p2, p3)
line2 = Draft.make_line(p2, p3)

doc.recompute()
doc.recompute()


fillet = Draft.make_fillet([line1, line2], radius=500)
fillet = Draft.make_fillet([line1, line2], radius=500)

doc.recompute()
doc.recompute()
}}
}}
Line 121: Line 139:
|[[Draft_Wire|Wire]]
|[[Draft_Wire|Wire]]
|[[Draft_Arc|Arc]]
|[[Draft_Arc|Arc]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Wire.svg
|IconL=Draft_Wire.svg
|IconR=Draft_Arc.svg
|IconR=Draft_Arc.svg

Latest revision as of 17:00, 3 December 2023

Draft Fillet

Menu location
Drafting → Fillet
Workbenches
Draft, Arch
Default shortcut
F I
Introduced in version
0.19
See also
Draft Line, Draft Wire

Description

The Draft Fillet command creates a fillet, a rounded corner, or a chamfer, a straight edge, between two Draft Lines.

Several fillets and chamfers created between two lines

Usage

  1. Select two Draft Lines that meet in a single point.
  2. There are several ways to invoke the command:
    • Press the Fillet button.
    • Select the Drafting → Fillet option from the menu.
    • Use the keyboard shortcut: F then I.
  3. Enter the Fillet radius. If the Create chamfer option is selected this will be the size of the chamfer (the length of the straight edge). Note that the command will not succeed if the radius or the chamfer size is too large for the selected lines.
  4. Optionally check the Delete original objects option.
  5. Optionally check the Create chamfer option.
  6. If you have selected one of the two previous options: Click in the Fillet radius input box.
  7. Press Enter.

Options

  • Press Esc or the Close button to abort the command.

Notes

  • A Draft Fillet cannot be edited nor is it linked to the lines that were used to create it.
  • Only Draft Lines, that is Draft Wires with only two points, are supported at the moment.
  • A Draft Wire that has at least three points can be filleted or chamfered by changing its DataFillet Radius or DataChamfer Size respectively. Since Draft Lines and Draft Wires, can be joined with the Draft Wire command, the Draft Join command or the Draft Upgrade command, this provides an alternative method for creating fillets and chamfers.

Properties

See also: Property editor.

A Draft Fillet object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

  • DataEnd (VectorDistance): (read-only) specifies the end point of the fillet.
  • DataFillet Radius (Length): (read-only) radius with which the fillet was created.
  • DataLength (Length): (read-only) specifies the total length of the fillet.
  • DataStart (VectorDistance): (read-only) specifies the start point of the fillet.

View

Draft

  • ViewArrow Size (Length): specifies the size of the symbol displayed at the end of the fillet.
  • ViewArrow Type (Enumeration): specifies the type of symbol displayed at the end of the fillet, which can be Dot, Circle, Arrow, Tick or Tick-2.
  • ViewEnd Arrow (Bool): specifies whether to show a symbol at the end of the fillet, so it can be used as an annotation line.
  • ViewPattern (Enumeration): not used.
  • ViewPattern Size (Float): not used.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Fillet use the make_fillet method of the Draft module:

fillet = make_fillet([line1, line2], radius=100, chamfer=False, delete=False)
  • Creates a Fillet object between lines line1 and line2, using radius for the curvature.
  • If chamfer is True it will create a straight edge with the length of radius, instead of a rounded edge.
  • If delete is True it will delete the given line1 and line2, and leave only the new object.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)

line1 = Draft.make_line(p1, p2)
line2 = Draft.make_line(p2, p3)

doc.recompute()

fillet = Draft.make_fillet([line1, line2], radius=500)

doc.recompute()